commit:     560bc3b5618c9966fc3320020ede4dd35d279ae7
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Jan 23 15:04:32 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 28 07:59:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=560bc3b5

net-dns/s6-dns: respect AR, CC and RANLIB

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-dns/s6-dns/s6-dns-2.3.3.0.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/net-dns/s6-dns/s6-dns-2.3.3.0.ebuild 
b/net-dns/s6-dns/s6-dns-2.3.3.0.ebuild
index 879134405322..fbb637b2de30 100644
--- a/net-dns/s6-dns/s6-dns-2.3.3.0.ebuild
+++ b/net-dns/s6-dns/s6-dns-2.3.3.0.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
+inherit toolchain-funcs
+
 DESCRIPTION="Suite of DNS client programs and libraries for Unix systems"
 HOMEPAGE="https://www.skarnet.org/software/s6-dns/";
 SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz";
@@ -25,9 +27,13 @@ src_prepare() {
        # Avoid QA warning for LDFLAGS addition; avoid overriding 
-fstack-protector
        sed -i -e 's/.*-Wl,--hash-style=both$/:/' -e '/-fno-stack-protector$/d' 
\
                configure || die
+
+       sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
 }
 
 src_configure() {
+       tc-export AR CC RANLIB
+
        econf \
                --bindir=/bin \
                --dynlibdir=/usr/$(get_libdir) \

Reply via email to